Package org.spongepowered.asm.service

## Class MixinService

- java.lang.Object
- - org.spongepowered.asm.service.MixinService

    public final class MixinService
    extends java.lang.Object

Provides access to the service layer which connects the mixin transformer to a particular host environment. Host environments are implemented as services implementing `IMixinService` in order to decouple them from mixin's core. This allows us to support LegacyLauncher

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `boot()` Boot
`static IGlobalPropertyService` `getGlobalPropertyService()` Blackboard
`static IMixinService` `getService()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### boot

    public static void boot()

Boot

#### getService

    public static IMixinService getService()

#### getGlobalPropertyService

    public static IGlobalPropertyService getGlobalPropertyService()

Blackboard